Bug 1936651 (CVE-2021-20272) - CVE-2021-20272 privoxy: Assertion that could be triggered with a crafted CGI request
Summary: CVE-2021-20272 privoxy: Assertion that could be triggered with a crafted CGI ...
Keywords:
Status: CLOSED DUPLICATE of bug 1935974
Alias: CVE-2021-20272
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-08 21:02 UTC by Pedro Sampaio
Modified: 2021-03-09 17:06 UTC (History)
3 users (show)

Fixed In Version: privoxy 3.0.32
Doc Type: ---
Doc Text:
A flaw was found in Privoxy. An assertion failure could be triggered with a crafted CGI request, leading to a server crash. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-03-08 21:04:01 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-03-08 21:02:04 UTC
A flaw was found in privoxy before 3.0.32. An assertion failure could be triggered with a crafted CGI request leading to server crash. 

Upstream patch:

https://www.privoxy.org/gitweb/?p=privoxy.git;a=commit;h=2256d7b4d67

Comment 1 Pedro Sampaio 2021-03-08 21:02:09 UTC
External References:

https://www.privoxy.org/announce.txt

Comment 2 Pedro Sampaio 2021-03-08 21:04:01 UTC

*** This bug has been marked as a duplicate of bug 1935974 ***


Note You need to log in before you can comment on or make changes to this bug.